image: python:latest
pages:
  stage: deploy
  script:
    - python3 --version
    - pip install -U sphinx
    - pip install --upgrade sphinx_adc_theme
    - sphinx-build -b html doc/rst/ public
  artifacts:
    paths:
    - public
  only:
  - main
pytest:
  stage: test
  script:
    - cd tests
    - pip install -U pytest 
    - pytest --junitxml=report.xml
  artifacts:
    when: always
    reports:
      junit: tests/report.xml
